%define with_maven 1
Name:          sun-dtdparser
Version:       1.2
Release:       %mkrel 1
Summary:       DTD Parser - API for parsing DTDs
Group:         Development/Java
License:       CDDL, GPL
Url:           http://java.net/projects/dtd-parser/
# svn export https://svn.java.net/svn/dtd-parser~svn/trunk/dtd-parser
# tar czf dtd-parser-1.2-SNAPSHOT-src-svn.tar.gz dtd-parser
Source0:       dtd-parser-1.2-SNAPSHOT-src-svn.tar.gz
Source1:       sun-dtdparser-1.2-build.xml
Patch0:        sun-dtdparser-1.2-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
%if %with_maven
BuildRequires: bsf
BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: servletapi5
BuildRequires: sonatype-oss-parent
%else
BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: package-rename-task
%endif
Requires:      jpackage-utils
BuildArch:     noarch

%description
SAX-like API for parsing XML DTDs.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
DTD Parser - API for parsing DTDs.

This package contains javadoc for %{name}.

%prep
%setup -q -n dtd-parser

chmod -R go=u-w *
for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
%patch0 -p0
%if !%with_maven
	cp -pr %{SOURCE1} build.xml
	ln -sf $(build-classpath package-rename-task) lib
%endif

%build

%if %with_maven
	export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
	mkdir -p $MAVEN_REPO_LOCAL
	
	mvn-rpmbuild \
  	install:install-file \
  	-DgroupId=bsf \
  	-DartifactId=bsf \
  	-Dversion=2.3.0 \
  	-Dpackaging=jar \
  	-Dfile=$(build-classpath bsf) \
  	-Dmaven.repo.local=$MAVEN_REPO_LOCAL
	
	mvn-rpmbuild \
  	install:install-file \
  	-DgroupId=org.apache.maven.plugins \
  	-DartifactId=maven-enforcer-plugin \
  	-Dversion=1.0 \
  	-Dpackaging=jar \
  	-Dfile=$(build-classpath maven-enforcer/plugin) \
  	-Dmaven.repo.local=$MAVEN_REPO_LOCAL
	
	mvn-rpmbuild \
  	install:install-file \
  	-DgroupId=javax.servlet \
  	-DartifactId=servlet-api \
  	-Dversion=2.4 \
  	-Dpackaging=jar \
  	-Dfile=$(build-classpath servletapi5) \
  	-Dmaven.repo.local=$MAVEN_REPO_LOCAL

	mvn-rpmbuild \
  	-Dmaven.test.skip=true \
  	-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   	install javadoc:aggregate
   
%else
	ant -Dbuild.sysclasspath=first jar javadoc
%endif

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/dtd-parser-%{version}*.jar \
	%{buildroot}%{_javadir}/sun-dtdparser-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-sun-dtdparser.pom
%add_to_maven_depmap com.sun.xml.dtd-parser dtd-parser %{version}-SNAPSHOT JPP sun-dtdparser

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

mkdir -p %{buildroot}%{_javadocdir}/sun-dtdparser-%{version}
%if %with_maven
	cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/sun-dtdparser-%{version}
%else
	cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/sun-dtdparser-%{version}
%endif

ln -sf sun-dtdparser-%{version} %{buildroot}%{_javadocdir}/sun-dtdparser

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/sun-dtdparser-%{version}.jar
%{_javadir}/sun-dtdparser.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/sun-dtdparser-%{version}
%{_javadocdir}/sun-dtdparser



%changelog

* Mon Sep 26 2011 dmorgan <dmorgan> 1.2-1.mga2
+ Revision: 147862
- Fix groups
- Adapt to mageia guidelines
- Adapt to mageia guidelines

  + gil <gil>
    - update to 1.2-SNAPSHOT
    - imported package sun-dtdparser


* Tue Jul 05 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm
